We are in the process of migrating this forum. A new space will be available soon. We are sorry for the inconvenience.

Problem z instalacja proftpd


no4b
17-06-2010, 18:59
scponly

Maleo
17-06-2010, 14:06
Ok teraz juz praktycznie wszystko działa ale mam jeszcze taki problem że nie mogę zalogować na ssh (przy próbie zalogowania wyłącza ssh) jak mogę to zmienić aby użytkownik mógł zalogować jedynie do swojego katalogu i nie będzie mógł wychodzić poza niego?

no4b
17-06-2010, 13:41
Jeśli nie chcesz go używać (prawdopodobnie nie chcesz) to możesz zahaszować.

Maleo
17-06-2010, 13:32
Nie ma pliku mod_vroot.so jak mogę go pobrać lub czy nie mogę zahaszować tej linijki w modules.conf?

no4b
17-06-2010, 13:21
Sprawdź, czy odpowiednie zmienne LD_ mają ścieżkę do libexec proftpd oraz czy w tym katalogu jest moduł mod_vroot.

Maleo
17-06-2010, 12:40
Nie rozumiem czemu występuje ten błąd, czemu nie ma dostępu.

no4b
17-06-2010, 08:29
A czego w tym komunikacie nie rozumiesz?

Maleo
17-06-2010, 00:54
Podczas odpalania proftpd wywala mi błąd:

Kod:
/home# service proftpd start
Starting ftp server: proftpd - mod_tls/2.1.2: compiled using OpenSSL version 'OpenSSL 0.9.8g 19 Oct 2007' headers, but linked to OpenSSL version 'OpenSSL 0.9.8n 24 Mar 2010' library
 - Fatal: LoadModule: error loading module 'mod_vroot.c': Brak dostępu on line 68 of '/etc/proftpd/modules.conf'
 failed!
co mam z tym zrobić?

no4b
16-06-2010, 21:49
1) DefaultRoot ~
2) iptables -I OUTPUT -p icmp -j DROP

Maleo
16-06-2010, 20:19
Podziałało, dziękuje.

Mógł byś jeszcze opisać jak mogę ograniczyć komuś dostęp przez ftp aby nie mógł wychodzić w żaden sposób poza swój katalog a także poradzić na co powinienem uważać/zwracać uwagę.

Mam jeszcze takie pytanie czy jest taka możliwość żeby uniemożliwić osobie która będzie korzystała z tego konta pingowania inne komputery ponieważ nie chcę mieć problemów z które w zamian za to że były pingowane z mojego serwera będą mnie pingowały ponieważ mi nie zależy na szkodzeniu innym ale nigdy nie wiadomo na jakie osoby się trafi.

Był bym bardzo wdzięczny gdybyś poświęcił mi jeszcze chwile.

Pik-Pok
16-06-2010, 20:03
wywal reszte i zostaw tylko to:
Kod:
deb ftp://mir1.ovh.net/debian/ lenny main contrib non-free
deb-src ftp://mir1.ovh.net/debian/ lenny main contrib non-free

deb http://security.debian.org/ lenny/updates main contrib non-free
deb-src http://security.debian.org/ lenny/updates main contrib non-free

Maleo
16-06-2010, 18:25
Kod:
deb<--->http://ftp2.de.debian.org/debian lenny main contrib non-free
deb<--->http://ftp2.de.debian.org/debian-security lenny/updates main contrib non

deb ftp://mir1.ovh.net/debian/ lenny main contrib non-free
deb-src ftp://mir1.ovh.net/debian/ lenny main contrib non-free

deb ftp://mir1.ovh.net/debian/ testing main contrib non-free
deb-src ftp://mir1.ovh.net/debian/ testing main contrib non-free

deb http://security.debian.org/ testing/updates main contrib non-free
deb-src http://security.debian.org/ testing/updates main contrib non-free

Pik-Pok
16-06-2010, 18:19
a co masz w source.list?

Maleo
16-06-2010, 15:04
Co to ma wspólnego z moim problemem?

Masz może jeszcze jakieś pomysły jak zainstalować proftpd lub jak dobrze skonfigurować vsftpd?

Pik-Pok
16-06-2010, 14:23
chodzilo o to. juz dziala. sprawdzilem

Maleo
16-06-2010, 13:18
Nie wiem co się miało zmienić od wczoraj ale nadal to nie działa ;(

Pik-Pok
16-06-2010, 12:43
sprawdz teraz. juz powinno byc ok.

Maleo
15-06-2010, 21:27
5.0 "Lenny" 64bit

Pik-Pok
15-06-2010, 21:20
ktora wersja debiana?

Maleo
15-06-2010, 21:01
Niestety nadal to samo.

Szukałem informacji na ten temat w google ale nic nie znalazłem.

maxix
15-06-2010, 20:41
może masz liste pakietów starą... przed komendą powyższą zrób wcześniej
Kod:
apt-get update
a potem
Kod:
apt-get install proftpd

Maleo
15-06-2010, 19:23
Witam mam problem z zainstalowaniem proftpd na debianie

gdy wpisze komende :
Kod:
apt-get install proftpd

wywala

Kod:
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności
Odczyt informacji o stanie... Gotowe
Nie udało się zainstalować niektórych pakietów. Może to oznaczać,
że zażądano niemożliwej sytuacji lub używasz dystrybucji niestabilnej,
w której niektóre pakiety nie zostały jeszcze utworzone lub przeniesione
z katalogu Incoming ("Przychodzące").
Następujące informacje mogą pomóc rozwiązać sytuację:

Następujące pakiety mają niespełnione zależności:
proftpd: Wymaga: proftpd-basic ale nie zostanie zainstalowany
Wymaga: proftpd-mod-mysql ale nie zostanie zainstalowany
Wymaga: proftpd-mod-pgsql ale nie zostanie zainstalowany
Wymaga: proftpd-mod-ldap ale nie zostanie zainstalowany
E: Pakiety są uszkodzone